﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;
using Syncfusion.Windows.Chart;

namespace FastChartTypesDemo
{
    public class DataGenerator
    {
        public int dataCount = 1000;

        private Random randomNumber;

        public DataGenerator()
        {
            randomNumber = new Random();
        }

        public ObservableCollection<Data> GenerateData()
        {
            ObservableCollection<Data> datas = new ObservableCollection<Data>();

            DateTime date = new DateTime(2009, 1, 1).Date;
            double value = 1;
            for (int i = 0; i < this.dataCount; i++)
            {
                datas.Add(new Data(date, value));
                date = date.Add(TimeSpan.FromDays(5));

                if (randomNumber.NextDouble() > 0.5)
                {
                    value += randomNumber.NextDouble();
                }
                else
                {
                    value -= randomNumber.NextDouble();
                }
            }

            return datas;
        }
    }
}